﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Android.Views;
using Syncfusion.Data;
using System.Threading.Tasks;
using System.Windows.Input;
using System;
using Syncfusion.SfDataGrid.DataPager;
using Android.Graphics;

namespace GettingStarted
{
	[Activity (Label = "GettingStarted", MainLauncher = true, Icon = "@drawable/icon")]
	public class MainActivity : Activity
	{
        LinearLayout layout;
		SfDataGrid dataGrid;
        ViewModel viewModel;

		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);
			ActionBar.SetDisplayShowHomeEnabled (false);

            layout = new LinearLayout(this.BaseContext);
            dataGrid = new SfDataGrid(this.BaseContext);
            viewModel = new ViewModel();
            dataGrid.ItemsSource =  viewModel.OrdersInfo;
            dataGrid.AutoGenerateColumns = true;
            dataGrid.ColumnSizer = ColumnSizer.Star;
            dataGrid.AllowSwiping = true;

            SwipeView leftSwipeView = new SwipeView(BaseContext);
            SwipeView rightSwipeView = new SwipeView(BaseContext);
            LinearLayout editView = new LinearLayout(BaseContext);
            LinearLayout deleteView = new LinearLayout(BaseContext);

            ImageView editImage = new ImageView(BaseContext);
            editImage.SetImageResource(Resource.Drawable.Whatsapp);
            editImage.SetBackgroundColor(Color.ParseColor("#FFFFFF"));

            ImageView deleteImage = new ImageView(BaseContext);
            deleteImage.SetImageResource(Resource.Drawable.Gmail);
            deleteImage.SetBackgroundColor(Color.ParseColor("#FFFFFF"));

            editView.AddView(editImage, ViewGroup.LayoutParams.MatchParent, (int)dataGrid.RowHeight);
            //editView.AddView(edit, ViewGroup.LayoutParams.MatchParent, (int)dataGrid.RowHeight);

            deleteView.AddView(deleteImage, ViewGroup.LayoutParams.MatchParent, (int)dataGrid.RowHeight);
            //deleteView.AddView(delete, ViewGroup.LayoutParams.MatchParent, (int)dataGrid.RowHeight);

            leftSwipeView.AddView(editView, dataGrid.MaxSwipeOffset, (int)dataGrid.RowHeight);
            rightSwipeView.AddView(deleteView, dataGrid.MaxSwipeOffset, (int)dataGrid.RowHeight);

            dataGrid.LeftSwipeView = leftSwipeView;
            dataGrid.RightSwipeView = rightSwipeView;

            dataGrid.SwipeEnded += DataGrid_SwipeEnded;

            layout.AddView (dataGrid, LinearLayout.LayoutParams.MatchParent, LinearLayout.LayoutParams.MatchParent);
            SetContentView(layout);
		}

        ////Swipe ended event will fire once you the swiping process is ended
        private void DataGrid_SwipeEnded(object sender, SwipeEndedEventArgs e)
        {
            if (e.SwipeDirection == SwipeDirection.Right)
                PerformFunction1();
            else
                PerformFunction2();
        }

        private void PerformFunction1()
        {
            // Add a new row
            this.viewModel.OrdersInfo.Insert(0, new OrderInfo() { OrderID = 0, Country = "Testing", CustomerID = "0", Salary = 0 });
        }

        private void PerformFunction2()
        {
            // Delete the first row
            this.viewModel.OrdersInfo.RemoveAt(0);
        }
    }

}


